# $Revision: 1.12 $, $Date: 2010/05/24 21:23:54 $
%define		syntax	lighttpd
Summary:	Vim syntax: lighttpd
Name:		vim-syntax-%{syntax}
Version:	1.17
Release:	1
License:	Charityware
Group:		Applications/Editors/Vim
Source0:	lighttpd.vim
Source1:	ftdetect.vim
Source2:	syntax.sh
Requires:	vim-rt >= 4:7.2.170
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
This plugin provides syntax highlighting for lighttpd config files.

%prep
%setup -qcT
cp -a %{SOURCE2} .

%build
rev=$(awk '/^".*Revision:/{print $5}' %{SOURCE0})
if [ "$rev" != "%{version}" ]; then
	: Update version $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}/{syntax,ftdetect}
cp -a %{SOURCE0} $RPM_BUILD_ROOT%{_vimdatadir}/syntax/%{syntax}.vim
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_vimdatadir}/ftdetect/%{syntax}.vim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc syntax.sh
%{_vimdatadir}/syntax/%{syntax}.vim
%{_vimdatadir}/ftdetect/%{syntax}.vim

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim-syntax-lighttpd.spec,v $
Revision 1.12  2010/05/24 21:23:54  glen
- v1.17: recognize env. vars
- install to vimdir not vimfiles

Revision 1.11  2009/11/09 12:52:39  glen
- v1.16: keywords from Revision 2692

Revision 1.10  2009/10/05 06:25:16  glen
- v1.15: match more items

Revision 1.9  2009/09/18 09:00:55  glen
- match lighttpd configs from packages dir
- rename files
- v 1.14

Revision 1.8  2009/05/13 22:22:11  glen
- v1.12: update to current svn (dir-listing.auto-layout,
  dir-listing.encode-header, dir-listing.encode-readme, evasive.silent,
  extforward.headers, server.defer-accept were added

Revision 1.7  2009/04/01 14:07:01  glen
- 1.11: allow underscore in variable names: var.foo_bar

Revision 1.6  2009/01/28 11:24:25  glen
- v1.8: syntax improvements from Fred Peeterman <fred#peeterman.de>

Revision 1.5  2009/01/28 11:09:45  glen
- release 1

Revision 1.4  2009/01/18 21:42:01  glen
- v1.6: complete directives list extracted from source

Revision 1.3  2009/01/16 13:27:03  glen
- add some options

Revision 1.2  2008/11/14 14:34:10  glen
- recognize lighttpd.conf

Revision 1.1  2008/10/30 01:01:17  glen
- initial syntax for lighttpd
